<?php
/**
 * WoWRoster.net WoWRoster
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $Id: install.def.php 897 2007-05-06 00:35:11Z Zanix $
 * @link       http://www.wowroster.net
 * @package    WitchHunt
 * @subpackage Installer
*/
 
if ( !defined('IN_ROSTER') )
{
    exit('Detected invalid access to this file!');
}
 
/**
 * Installer WitchHunt
 *
 * @package    WitchHunt
 * @subpackage Installer
 */
class witchhuntInstall
{
	var $active = true;
	var $icon = 'ability_hunter_silenthunter';
 
	var $version = '2.0.0.1';
 
	var $fullname = 'Witch Hunt';
	var $description = 'Utility to track character profile uploads, inactivity and outdated profiles';
	var $credits = array(
	array(	"name"=>	"Carasak",
			"info"=>	"Utility to track character profile uploads, inactivity and outdated profiles")
	);
 
 
	/**
	 * Install Function
	 *
	 * @return bool
	 */
	function install()
	{
		global $installer;
 
		// Master and menu entries
		$installer->add_config("1,'startpage','display','display','master'");
		$installer->add_config("110,'display',NULL,'blockframe','menu'");
		$installer->add_config("'666','alarmDays','14','text{2|4','display'");
		$installer->add_config("'667','field','note','text{30|30','display'");
		$installer->add_config("'668','criteria','not like','text{64|30','display'");
		$installer->add_config("'669','searchString','[ALT]%','text{30|30','display'");
		$installer->add_config("'670','admin',true,'radio{On^1|Off^0','display'");
		$installer->add_config("'671','activeCount1',2,'text{2|4','display'");
		$installer->add_config("'672','activeMeasure1','week','select{day^day|week^week|month^month','display'");
		$installer->add_config("'673','activeCount2',1,'text{2|4','display'");
		$installer->add_config("'674','activeMeasure2','month','select{day^day|week^week|month^month','display'");
		$installer->add_config("'675','alarmStamp','86400','text{9|9','display'");
 
		$installer->add_menu_button('Witch Hunt','util','','ability_hunter_silenthunter');
 
 
		return true;
	}
	
 	/**
	 * Upgrade Function
	 *
	 * @return bool
	 */
	function upgrade()
	{
		global $installer;

		return true;
	}

 
	
 
	/**
	 * Un-Install Function
	 *
	 * @return bool
	 */
	function uninstall()
	{
		global $installer;
 
		$installer->remove_all_config(); 
		$installer->remove_all_menu_button();
		return true;
	}
}